/*
 * GETFILENAME
 *
 * Mostly MSDOS-oriented routine to isolate filename from pathname.  For
 * environments where the concept of filename vs. pathname makes no sense,
 * or where multiple "extensions" (i.e., more than one ".") are possible,
 * etc., this function will merely copy the pathname argument to the
 * filename argument.  Filename array is assumed to be sufficiently large
 * to accommodate value.
 *
*/

#if defined(MSC)     /* Microsoft C compiler version ----------------------*/

#include "env.h"  /* must appear before first C statement */

#include <stdlib.h>
#include "tran.h"

char  *getFileName( char *filename, char *pathname )
{
   char drive[_MAX_DRIVE], dir[_MAX_DIR];
   char ext[_MAX_EXT];

   _splitpath( pathname, drive, dir, filename, ext );

   return ( filename );

} /* getFileName() */

#elif defined(IBM)   /* IBM C/370 version ---------------------------------*/

#include "env.h"  /* must appear before first C statement */

#include <string.h>
#include "tran.h"

char  *getFileName( char *filename, char *pathname )
{
   return ( strcpy( pathname, filename ) );

} /* getFileName() */

#else /* unspecified or unsupported compiler ------------------------------*/

#error "Must define environment on compiler command line"
#error "Currently supported environments:"
#error "    MSC   Microsoft C Compiler (MS-DOS)"
#error "    IBM   IBM C/370 Compiler (MVS)"

#endif
